SYNC 3.4 Most recent version? | Page 12 | Ford Explorer - Ford Ranger Forums - Serious Explorations

  • Register Today It's free! Once registered you can join the Elite Explorers to eliminate ads from the website.

SYNC 3.4 Most recent version?

iTonyp

Elite Explorer
Joined
November 13, 2019
Messages
129
Reaction score
23
Location
USA
City, State
Coconut Creek Fl
Year, Model & Trim Level
2020 Explorer Limited
No issues upgrading a 2020 MY?.........we bricked a vehicle at work trying the 21020 downgrade/upgrade.
Sorry to hear that but My2020 can't be downgraded. It's important to read. The app does ask if you have a my2020 APMI.
 






iTonyp

Elite Explorer
Joined
November 13, 2019
Messages
129
Reaction score
23
Location
USA
City, State
Coconut Creek Fl
Year, Model & Trim Level
2020 Explorer Limited
Not sure what happened but you should not downgrade and reformat (which is was for map updates previously) a MY 2020 APIM, although it may still work if it was built in 2019 like mine was.

Also, Cyanlabs is currently recommending MY2020+ do the 21020 update separately from the NA 2.20 map update. Supposedly the Sync3 Updater has been updated for MY2020, or you can do the map update separately by preparing your own USB stick in the thread I linked previously. I used the Sync3 Updater to prepare the USB stick for 21020 and then prepared the USB stick myself for the map update. Everything seems snappy, although I don't use the stock navigation very much.
That's exactly what I did. Installed the 21020 separate without the maps, then had to do the maps in Ci version. It walks you through the process on setting up the USB for upgrade.
 






Sgt1411

Elite Explorer
Joined
February 22, 2011
Messages
4,500
Reaction score
459
City, State
VanBC/GoodyearAZ
Year, Model & Trim Level
2021 Explorer ST
Callsign
PRINCE51
Sorry to hear that but My2020 can't be downgraded. It's important to read. The app does ask if you have a my2020 APMI.


I did read that............ I thought the vehicle was built in 2019 as a 2020 MY like the previous post that was successful but I guess not..........

Replacement APIM is under warranty, all good back up and running now.
 






Top